Package: org.gradle.api.file

## [Java] Interface DeleteAction

- Deletes files and directories.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `delete(Object... paths)` Deletes files and directories.

- - ### Method Detail

    - #### public boolean delete(Object... paths)

      Deletes files and directories.

      Parameters:
        `paths` - Any type of object accepted by Project.files
      Returns:
        true if anything got deleted, false otherwise